"use strict";
exports.__esModule = true;
exports.parseAsReadonlyObject = exports.parseAsObject = void 0;
var parser_1 = require("../parser");
var util_1 = require("../util");
var parseAsAnObject = function (u, t) {
    return (0, parser_1.createDataStructureParser)({
        expectedType: 'object',
        actualType: (0, util_1.getPossibleSelfDefinedType)(u),
        t: function () { return t(u); }
    });
};
var parseAsObject = function (u, t) { return parseAsAnObject(u, t); };
exports.parseAsObject = parseAsObject;
var parseAsReadonlyObject = function (u, t) { return parseAsAnObject(u, t); };
exports.parseAsReadonlyObject = parseAsReadonlyObject;
//# sourceMappingURL=object.js.map