import ParseError from '../error/Parser.js';
const createOptions = ({ t, isMatchingType, }) => ({
    elseGet: (a) => (!isMatchingType() ? a : t()),
    elseLazyGet: (a) => (!isMatchingType() ? a() : t()),
    elseThrow: (message) => {
        if (isMatchingType()) {
            return t();
        }
        throw ParseError.custom(message);
    },
});
const createExact = ({ t, e, }) => createOptions({
    t: () => t,
    isMatchingType: () => t === e,
});
export { createOptions, createExact };
//# sourceMappingURL=index.js.map