"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.createExact = exports.createOptions = void 0;
var Parser_1 = __importDefault(require("../error/Parser"));
var createOptions = function (_a) {
    var t = _a.t, isMatchingType = _a.isMatchingType;
    return ({
        elseGet: function (a) { return (!isMatchingType() ? a : t()); },
        elseLazyGet: function (a) { return (!isMatchingType() ? a() : t()); },
        elseThrow: function (message) {
            if (isMatchingType()) {
                return t();
            }
            throw Parser_1["default"].custom(message);
        }
    });
};
exports.createOptions = createOptions;
var createExact = function (_a) {
    var t = _a.t, e = _a.e;
    return createOptions({
        t: function () { return t; },
        isMatchingType: function () { return t === e; }
    });
};
exports.createExact = createExact;
//# sourceMappingURL=index.js.map