declare type Map<T> = (val: any, index?: number, arr?: ReadonlyArray<T>) => T;
declare const parseAsArray: <T>(u: unknown, map: Map<T>) => Readonly<{
    elseGet: <U>(u: U) => T[] | U;
    elseLazyGet: <A>(u: () => A) => T[] | A;
    elseThrow: (message: string) => T[];
}>;
declare const parseAsReadonlyArray: <T>(u: unknown, map: Map<T>) => Readonly<{
    elseGet: <U>(u: U) => readonly T[] | U;
    elseLazyGet: <A>(u: () => A) => readonly T[] | A;
    elseThrow: (message: string) => readonly T[];
}>;
export { parseAsArray, parseAsReadonlyArray };
