import { createDataStructureParser } from '../parser.js';
import { getPossibleSelfDefinedType } from '../util.js';
const parseAsAnObject = (u, t) => createDataStructureParser({
    expectedType: 'object',
    actualType: getPossibleSelfDefinedType(u),
    t: () => t(u),
});
const parseAsObject = (u, t) => parseAsAnObject(u, t);
const parseAsReadonlyObject = (u, t) => parseAsAnObject(u, t);
export { parseAsObject, parseAsReadonlyObject };
//# sourceMappingURL=object.js.map